xn::ModuleCroppingInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleCroppingInterface ()
virtual XnStatus | SetCropping (const XnCropping &Cropping)=0
virtual XnStatus | GetCropping (XnCropping &Cropping)=0
virtual XnStatus | RegisterToCroppingChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromCroppingChange (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleCroppingInterface()

virtual xn::ModuleCroppingInterface::~ModuleCroppingInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## GetCropping()

virtual XnStatus xn::ModuleCroppingInterface::GetCropping | ( | XnCropping & | Cropping | ) |

pure virtual

## RegisterToCroppingChange()

virtual XnStatus xn::ModuleCroppingInterface::RegisterToCroppingChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SetCropping()

virtual XnStatus xn::ModuleCroppingInterface::SetCropping | ( | const XnCropping & | Cropping | ) |

pure virtual

## UnregisterFromCroppingChange()

virtual void xn::ModuleCroppingInterface::UnregisterFromCroppingChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h